import request from '@/utils/request'

// 查询直播抽奖配置列表
export function listLiveLotteryConf(query) {
  return request({
    url: '/live/liveLotteryConf/list',
    method: 'get',
    params: query
  })
}

// 查询直播抽奖配置详细
export function getLiveLotteryConf(lotteryId) {
  return request({
    url: '/live/liveLotteryConf/' + lotteryId,
    method: 'get'
  })
}

// 新增直播抽奖配置
export function addLiveLotteryConf(data) {
  return request({
    url: '/live/liveLotteryConf',
    method: 'post',
    data: data
  })
}

// 修改直播抽奖配置
export function updateLiveLotteryConf(data) {
  return request({
    url: '/live/liveLotteryConf',
    method: 'put',
    data: data
  })
}

// 删除直播抽奖配置
export function delLiveLotteryConf(lotteryId) {
  return request({
    url: '/live/liveLotteryConf/' + lotteryId,
    method: 'delete'
  })
}

// 导出直播抽奖配置
export function exportLiveLotteryConf(query) {
  return request({
    url: '/live/liveLotteryConf/export',
    method: 'get',
    params: query
  })
}